// DrawingNode.cpp: implementation of the CDrawingNode class.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "Vincent.h"
#include "DrawingNode.h"

#include "VincentDoc.h"
#include "VincentView.h"
#include "MainFrm.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

CDrawingNode::CDrawingNode()
{
	// View의 DC와, Doc를 가져와서, 멤버변수들을 셋팅한다.
	CDC* pDC = ((CVincentView*)((CMainFrame*)AfxGetMainWnd())->GetActiveView())->GetDC();
	CVincentDoc* pDoc = (CVincentDoc*)((CMainFrame*)AfxGetMainWnd())->GetActiveDocument();
	
	m_bComplete = false;	// 처음엔 false, 모든 값을 다 넣었으면 true로 설정.
	
	m_rgbForeground = pDoc->GetForegroundColor();	// 전경색
	m_rgbBackground = pDoc->GetBackgroundColor();	// 배경색
	
	m_nPenWidth = pDoc->GetPenWidth();	// 펜의 굵기
	m_bFillOut = pDoc->GetFillOut();	// 색칠 여부
}

CDrawingNode::~CDrawingNode()
{

}

bool CDrawingNode::IsComplete()
{
	return m_bComplete;
}

void CDrawingNode::OnMouseMove(CDC *pDC, UINT nFlags, CPoint point, CPoint scrolled)
{

}

void CDrawingNode::OnLButtonUp(CDC *pDC, UINT nFlags, CPoint point, CPoint scrolled)
{

}

void CDrawingNode::OnLButtonDown(CDC *pDC, UINT nFlags, CPoint point, CPoint scrolled)
{

}

void CDrawingNode::OnRButtonDown(CDC* pDC, UINT nFlags, CPoint point, CPoint scrolled)
{

}

